﻿/*
Copyright (c) 2024 Paisheng Technology Co., Ltd. All rights reserved.
*/
(function() {
    CKEDITOR.plugins.add( 'exportword', {
        icons: 'exportword',
        hidpi: true,
	lang: 'zh-cn,en',
        init: function(editor) {
            editor.addCommand('insertExportWord', {
                exec: function (editor) {
                    jQuery.ajax({
                        type: 'POST',
                        url: "/flow/form/designer?handler=ExportWord",
                        headers: {
                            RequestVerificationToken: $('input:hidden[name="__RequestVerificationToken"]').val()
                        },
                        data: { 'formId': formId },
                        success: function (result) {
                            if (result.trim() == "error") {
                                var notification = new CKEDITOR.plugins.notification(editor, {
                                    message: var_exportword_msg_2,
                                    type: 'warning'
                                });
                                notification.show();
                                return;
                            }
                            window.open("/flow/form/download/" + result);
                            var notification = new CKEDITOR.plugins.notification(editor, {
                                message: var_exportword_msg_1,
                                type: 'success'
                            });
                            notification.show();
                        },
                        error: function (req, textStatus) {
                            alert('Error ' + req.status + ': ' + textStatus);
                        }
                    });
                }
            });

            editor.ui.addButton('exportword', {
                label: editor.lang.exportword.label,
                command: 'insertExportWord',
                toolbar: 'insert',
            });
        }
    } );
} )();